Skip to content

Resume an active draft and return refreshed destination capabilities.

POST
/api/workspace/markdown/drafts/resume
curl --request POST \
--url https://example.com/api/workspace/markdown/drafts/resume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "DraftSessionId": "example", "ScopeToken": "example", "RenewalToken": "example" }'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Resumes an active draft and refreshes its authorized destination scope.

object
DraftSessionId
string
nullable
ScopeToken
string
nullable
RenewalToken
string
nullable
Examplegenerated
{
"DraftSessionId": "example",
"ScopeToken": "example",
"RenewalToken": "example"
}

OK

Media typeapplication/json
object
Data

Current durable state of one Markdown attachment draft.

object
Id
string
nullable
State
integer format: int32
Allowed values: 0 1 2 3
Items
Array<object>
nullable

One file reference owned by a Markdown attachment draft.

object
FileReferenceId
string
nullable
Origin
integer format: int32
Allowed values: 0 1
State
integer format: int32
Allowed values: 0 1 2 3
FileName
string
nullable
SizeBytes
integer format: int64
AvailabilityState
integer format: int32
Allowed values: 0 1 2 3 4
DetectedMimeType
string
nullable
LastTouchedAt
string format: date-time
HardExpiresAt
string format: date-time
RefreshedContext

Server-derived, signed Markdown attachment capability for one field and destination.

object
ScopeToken
string
nullable
RenewalToken
string
nullable
CanReadInline
boolean
CanAttach
boolean
CanSelectCatalog
boolean
MaximumItems
integer format: int32
MaximumAggregateBytes
integer format: int64
ScopeExpiresAt
string format: date-time
RenewalExpiresAt
string format: date-time
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"State": 0,
"Items": [
{
"Origin": 0,
"State": 0,
"AvailabilityState": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Current durable state of one Markdown attachment draft.

object
Id
string
nullable
State
integer format: int32
Allowed values: 0 1 2 3
Items
Array<object>
nullable

One file reference owned by a Markdown attachment draft.

object
FileReferenceId
string
nullable
Origin
integer format: int32
Allowed values: 0 1
State
integer format: int32
Allowed values: 0 1 2 3
FileName
string
nullable
SizeBytes
integer format: int64
AvailabilityState
integer format: int32
Allowed values: 0 1 2 3 4
DetectedMimeType
string
nullable
LastTouchedAt
string format: date-time
HardExpiresAt
string format: date-time
RefreshedContext

Server-derived, signed Markdown attachment capability for one field and destination.

object
ScopeToken
string
nullable
RenewalToken
string
nullable
CanReadInline
boolean
CanAttach
boolean
CanSelectCatalog
boolean
MaximumItems
integer format: int32
MaximumAggregateBytes
integer format: int64
ScopeExpiresAt
string format: date-time
RenewalExpiresAt
string format: date-time
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"State": 0,
"Items": [
{
"Origin": 0,
"State": 0,
"AvailabilityState": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}